;*************************************************************************
;Filename:    	INC_Clear_Ram_16F877.inc
;Date:		  	May 01, 2010
;File Version:  1.0
;Author:		
;Objective:		Clear ram
;Notes:         clears all 4 banks in 16F877       
;**************************************************************************
;	call Clear_Ram

Clear_Ram	GOTO CLRam003	
CLRam001	BSF STATUS, IRP
CLRam002	CLRF INDF
			INCF FSR, F
			ADDLW 0xff
			BTFSS STATUS, Z
			GOTO CLRam002
			RETURN
CLRam003	MOVLW 0x20
			MOVWF FSR
			MOVLW 0x60
			CALL CLRam002
			MOVLW 0xa0
			MOVWF FSR
			MOVLW 0x50
			CALL CLRam002
			MOVLW 0x10
			MOVWF FSR
			MOVLW 0x60
			CALL CLRam001
			MOVLW 0x90
			MOVWF FSR
			MOVLW 0x60
			CALL CLRam001
			RETURN
