;************************************************************************
;Filename:		INC_Data_table.inc	 
;Date:			October 4, 2010
;File Version:		2.00
;Author:		
;Objective:	 	read data from table in memory and send it to the routine
;				that uses the data
;Notes:			make sure the number of bytes being read dosen't exceed
;				the lenght of the data string
;				used with INC_Macros_002.inc
;***********************************************************************
;replace Data_lable with the label of the data string
;replace Data_byte_counter01 with number of bytes to be read
;replace Data_Table_sub_routine with the name of the routine that the data is sent to
;
;Data_table_MAC MACRO Data_lable, Data_byte_number, Data_Table_sub_routine
;		#DEFINE Data_user Data_Table_sub_routine
;		MOVLW	Data_byte_number
;		MOVWF	Data_byte_counter
;		MOVLW	LOW(Data_lable)	
;		MOVWF	Data_Pointer_L		
;		MOVLW	HIGH(Data_lable)
;		MOVWF	Data_Pointer_H
;				
;		PAGESEL Data_Table					
;		CALL	Data_Table
;		ENDM		
;***********************************************************************
		CBLOCK
			Data_Pointer_L	
			Data_Pointer_H
			Data_byte_counter
		ENDC
		;***********************************************************************
Data_Table
		MOVF	Data_byte_counter, W
		SUBLW	0x00
		BTFSC	STATUS, Z		
		RETURN	; if result is zero then exit program
		
		CALL	D_PRT1			; read one data byte to be place in W
	
		PAGESEL	Data_user				
		CALL	Data_user		; to routine that uses data
		PAGESEL Data_Table
		
		DECF	Data_byte_counter,F
		
		CALL	D_PRT2			; get next character to be printed
		GOTO	Data_Table		; 
D_PRT1	MOVF	Data_Pointer_H, W	; point to location of char
		MOVWF	PCLATH
		MOVF	Data_Pointer_L, W
		MOVWF	PCL
		;JUMPS TO TABLE FROM HERE THEN RETURNS TO THE CALL D_PRT1 WITH THE CHARACTER/DATA IN W
		
D_PRT2	INCFSZ	Data_Pointer_L, F	;increment char address
		RETURN
		INCF	Data_Pointer_H, F	;increments a 16 bit counter
		RETURN
;***********************************************************************
;data strings to be sent/used
Data_string_byte DT "Hello World"
