;************************************************************************
;Filename:		INC_Custom_chrs.inc	 
;Date:			Sept 7, 2010
;File Version:	1.00
;Author:		
;Objective:		create and load custom characters to LCD
;Notes:			use with INC_Macros_LCD.inc
;***********************************************************************
;call LCD_Custom_characters, define all chars in one pass
;address auto increments for each byte
LCD_Custom_characters
										;	this needs a loop to get data from a table
		LCD_Set_char_ram_MAC .0		
	
		movlw b'00000'  ;1st char, ascii code 0x00
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00100'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00100'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		
		movlw b'00000'  ;2nd char, ascii code 0x01
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'01110'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'01010'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'01010'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'01110'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		
		movlw b'00000'  ;3rd char, ascii code 0x02
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'11111'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'10001'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'10001'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'10001'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'10001'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'11111'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'00000'
		PAGESEL LCDPRT
		call LCDPRT
		
		LCD_Screen_on_MAC
		RETURN
		
		;movlw b'00000'  ;4th char, ascii code 0x03
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		
		;movlw b'00000'  ;5th char, ascii code 0x04
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		
		;movlw b'00000'  ;6th char, ascii code 0x05
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		
		;movlw b'00000'  ;7th char, ascii code 0x06
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		
		;movlw b'00000'  ;8th char, ascii code 0x07
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
		;movlw b'00000'
		;call LCDPRT
				
		;LCD_Screen_on_MAC	;any command gets LCD out of char load mode
		;RETURN				;the LCD is already set up in this mode so 
							;it shouldn't mess anything up on the screen
		
;****************************************************************************
;define a single char. in this case the 7th char, ascii code 0x06

;	LCD_Set_char_ram_MAC .6
;	
;		movlw b'11111'  	;a big 8
;		call LCDPRT
;		movlw b'10001'
;		call LCDPRT
;		movlw b'10001'
;		call LCDPRT
;		movlw b'11111'
;		call LCDPRT
;		movlw b'11111'
;		call LCDPRT
;		movlw b'10001'
;		call LCDPRT
;		movlw b'10001'
;		call LCDPRT
;		movlw b'11111'
;		call LCDPRT
;		
;	LCD_Screen_on_MAC
