;**********************************************************************
;Filename:		INC_LCD_Delay_20mhz.inc	 
;Date:			September 14, 2010
;File Version:	1.00
;Author:		
;Objective:		provide 20 mhz delays for LCD
;Notes:		
;**********************************************************************
				CBLOCK
					LCD_Delay_L_byte
					LCD_Delay_H_byte
				ENDC
;**********************************************************************
;delay rutine for 20 mhz clock			
LCD_Delay_us	CLRF LCD_Delay_H_byte	
LCD_Delay_ms	ADDLW 0xfc
				MOVWF LCD_Delay_L_byte	
				COMF LCD_Delay_H_byte, F	
				BTFSS STATUS, C	
				GOTO LCD_Del_03
LCD_Del_01		MOVLW 0xff
LCD_Del_02		NOP
				ADDWF LCD_Delay_L_byte, F		
				BTFSC STATUS, C		
				GOTO LCD_Del_02
				ADDWF LCD_Delay_L_byte, F
LCD_Del_03		NOP		
				INCFSZ LCD_Delay_H_byte, F	
				GOTO LCD_Del_01
				RETURN
