;**********************************************************************
;Filename:		Pause_001.inc	 
;Date:			July 24, 2005
;File Version:	1.00
;Author:		
;Objective:		delay rutine for 20mhz clock
;Notes:			use with INC_Macros_001.inc
;***********************************************************************

	CBLOCK
		M_High_Byte
		M_Low_Byte
		U_High_Byte
		U_Low_Byte
	ENDC
		
MPAUSE	MOVWF M_Low_Byte
PAU01	MOVLW 0xff
		ADDWF M_Low_Byte, F		
		BTFSS STATUS, C			
		ADDWF M_High_Byte, F	
		BTFSS STATUS, C		
		RETURN				
		MOVLW 0x3
		MOVWF U_High_Byte	
		MOVLW 0xe6
		CALL UPAUSE
		GOTO PAU01
		CLRF U_High_Byte
UPAUSE	ADDLW 0xfc
		MOVWF U_Low_Byte
		COMF U_High_Byte, F	
		BTFSS STATUS, C	
		GOTO PAU02
PAU04   MOVLW 0xff
PAU03   NOP
		ADDWF U_Low_Byte, F	
		BTFSC STATUS, C	
		GOTO PAU03
		ADDWF U_Low_Byte, F	
PAU02   INCFSZ U_High_Byte, F
		GOTO PAU04
		RETURN

