;************************************************************************
;Filename:		INC_LCD_Clear_ram.inc	 
;Date:			Sept 7, 2010
;File Version:	1.00
;Author:		
;Objective:		clear custom char ram
;Notes:			use with INC_Macros_LCD.inc
;				call LCD_Clear_ram and clear all chars in one pass
;				address auto increments for each byte
;***********************************************************************
			CBLOCK
				LCD_Clear_ram_count
			ENDC
;***********************************************************************
LCD_Clear_ram

		LCD_Set_char_ram_MAC .0		;start of 1st char and 1st byte
	
		movlw .64			;64 bytes in 8 char ram
		movwf LCD_Clear_ram_count
LCD_Loop_ram		
		movlw b'00000'				
		call LCDPRT
		decfsz LCD_Clear_ram_count, F
		goto LCD_Loop_ram
		
		LCD_Screen_on_MAC	;most any command gets LCD out of char load mode
		RETURN				;the LCD is already set up in this mode so 
							;it shouldn't mess anything up on the screen
		
