;**********************************************************************
;Filename:		INC_LCD_Delay_4mhz.inc	 
;Date:			September 14, 2010
;File Version:	1.00
;Author:		
;Objective:		provide 4 mhz delays for LCD
;Notes:		
;**********************************************************************
				CBLOCK
					LCD_Delay_L_byte
					LCD_Delay_H_byte
				ENDC
;************************************************************************
;delay rutine for 4 mhz clock				
LCD_Delay_us	CLRF LCD_Delay_H_byte
LCD_Delay_ms	ADDLW 0xe8
				MOVWF LCD_Delay_L_byte
				COMF LCD_Delay_H_byte, F
				MOVLW 0xfc
				BTFSS STATUS, C
				GOTO LCD_Delay_02
LCD_Delay_01	ADDWF LCD_Delay_L_byte, F
				BTFSC STATUS, C
				GOTO LCD_Delay_01
LCD_Delay_02	ADDWF LCD_Delay_L_byte, F
				NOP
				INCFSZ LCD_Delay_H_byte, F
				GOTO LCD_Delay_01
							
				BTFSC LCD_Delay_L_byte, 0x00
				GOTO LCD_Delay_03
LCD_Delay_03	BTFSS LCD_Delay_L_byte, 0x01
				GOTO LCD_Delay_04
				NOP
				GOTO LCD_Delay_04
LCD_Delay_04	RETURN
