;******************************************************************************
;Filename:		INC_LCD_Print_Binary.inc
;Date:			September 24, 2010
;File Version:	1.00
;Author:		
;Objective:		print data to LCD in binary		
;Notes:	
;******************************************************************************
			CBLOCK
				LCD_PB_data
				LCD_Pb_bit_count	
			ENDC
;*****************************************************************************
;load W then call LCD_Print_binary

LCD_Print_binary
		movwf LCD_PB_data
		movlw .8				;8 bits in a byte
		movwf LCD_Pb_bit_count
		;bcf STATUS, C			; clear the carry to start out
Pb_nx_bit_1
		rlf LCD_PB_data, F		;the first bit of byte is place in the carry flag
		btfss STATUS, C			;is the bit a zero or a one
		goto prt_30_1			;bit is a zero
		goto prt_31_1			;bit is a one
prt_30_1
		movlw 0x30				;ascii for zero
		call LCDPRT				;print the zero
		goto Pb_next_1
prt_31_1
		movlw 0x31				;ascii for one
		call LCDPRT				;print a one
Pb_next_1
		decfsz LCD_Pb_bit_count, F		
		goto Pb_nx_bit_1		;not zero get next bit
		return					;exit program
