;**********************************************************************
;Filename:		INC_Pause_4mhz.inc	 
;Date:			August 24, 2010
;File Version:	1.00
;Author:		
;Objective:		delay rutine for 4mhz clock
;Notes:	 		use with INC_Macros_001.inc     	
;*************************** Macros *******************************
	CBLOCK
		M_High_Byte
		M_Low_Byte
		U_High_Byte
		U_Low_Byte
	ENDC


MPAUSE	MOVWF M_Low_Byte
PA001	MOVLW 0xff
		ADDWF M_Low_Byte, F
		BTFSS STATUS, C
		ADDWF M_High_Byte, F
		BTFSS STATUS, C
		RETURN 
		MOVLW 0x3
		MOVWF U_High_Byte
		MOVLW 0xdf
		CALL UPAUSE
		GOTO PA001
		CLRF U_High_Byte
UPAUSE  ADDLW 0xe8
		MOVWF U_Low_Byte
		COMF U_High_Byte,F
		MOVLW 0xfc
		BTFSS STATUS, C	
		GOTO PA003
PA002	ADDWF U_Low_Byte, F
		BTFSC STATUS, C
		GOTO PA002
PA003	ADDWF U_Low_Byte, F
		INCFSZ U_High_Byte, F
		GOTO PA002
		BTFSC U_Low_Byte, C
		GOTO PA004
PA004	BTFSS U_Low_Byte, 0x1
		GOTO PA005
		NOP
		GOTO PA005
PA005	RETURN

