;******************************************************************************
;Filename:		LCD_Demo0002.inc
;Date:			October 1, 2010
;File Version:	1.00
;Author:		
;Objective:		new data table routine
;Notes:	
;******************************************************************************
			CBLOCK
				
			ENDC
;******************************************************************************

LCD_Demo0002

		bcf LED
		call Write_Read_char_ram
		call Data_table_demo
				
		return
;******************************************************************************	



;******************************************************************************
Data_table_demo
		Data_table_MAC Data_string_byte, .11, Print_data_to_screen
		MS_Pause_MAC .3000
		LCD_Clear_screen_MAC
		
		PAGESEL Data_table_demo
		return
		
Print_data_to_screen		;called by table print routine
		PAGESEL LCDPRT
		call LCDPRT
		PAGESEL Print_data_to_screen
		return
;******************************************************************************
;couldn't read char rom	
Write_Read_char_ram
		PAGESEL LCD_Clear_ram
		call LCD_Clear_ram
		PAGESEL Write_Read_char_ram
		LCD_Clear_screen_MAC
		Print_table_MAC Text_Custom_char  ;print all custom char ascii codes to 1st line
		LCD_Set_char_ram_MAC .0			;define the big 8, ascii 0x00 	
		movlw b'11111'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'10001'
		PAGESEL LCDPRT			
		call LCDPRT
		movlw b'10001'				
		PAGESEL LCDPRT				;one thing to notice about this routine is that the
		call LCDPRT					;big 8 came up on the screen without reprinting
		movlw b'11111'				;it's ascii code
		PAGESEL LCDPRT
		call LCDPRT				
		movlw b'11111'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'10001'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'10001'
		PAGESEL LCDPRT
		call LCDPRT
		movlw b'11111'
		PAGESEL LCDPRT
		call LCDPRT
		LCD_Screen_on_MAC
		
		LCD_Set_char_ram_MAC .0		;point to 1st char byte
		PAGESEL LCD_Read
		call LCD_Read			;read 1st char byte
		LCD_Home_cursor_to_2nd_line_MAC
		movf LCD_Read_temp, W		;get the char that was read
		PAGESEL LCD_Print_binary
		call LCD_Print_binary		;print the 1st char byte to 2nd line in binary
		
		MS_Pause_MAC .3000
		LCD_Clear_screen_MAC
		PAGESEL Write_Read_char_ram
		RETURN
;******************************************************************************		

